<template>
    <main>
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-5 login-section-wrapper ppl">
          <div class="brand-wrapper">
            <center>
             <img :src="ruta + '/img/logo.png'" class="img"  width="140" height="130">
            </center>
          </div>
          <div class="login-wrapper my-auto">
            <center>
              <h1 class="login-title">Nueva Contraseña</h1>
            </center>
            <br>
              <div class="form-group">
                    <input 
                        type="text" 
                        v-model="email"
                        class="form-control"
                        placeholder="Email"
                    >
                </div>
                <div class="form-group mb-4">
                    <input 
                        type="password" 
                        v-model="password"
                        class="form-control"
                        placeholder="Contraseña"
                    >
                </div>
                    
                <br>
                <button 
                    type="submit" 
                    id="login" 
                    class="btn btn-block login-btn" 
                    @click="guardarNuevaContrasena()">Guardar
                </button>

            <center>
              <p class="login-wrapper-footer-text">¿Quieres entrar a Digidocs?<router-link class="nav-link a" :to="'/'">Iniciar Sesión</router-link></p>
            </center>
          </div>
        </div>
        <div class="col-sm-7 px-0 d-none d-sm-block div-img">
          <img :src="ruta + '/img/Fondos/Pantalla principal.png'" alt="login image" class="login-img">
                      <footer class="main-footer footer">
              <h6>© Copyright 2021 | DIGIDOCS | Solumáticas GRM | Todos los derechos reservados |</h6>
            </footer>
        </div>

      </div>
    </div>

  </main>
</template>

<script>
export default {

    props: ['ruta'],
    
    data: () => {
        return {
            email: '',
            password: ''
        }
    },

    async created() {
        await this.verificarCodigo();
    },

    methods: {
        async verificarCodigo() {

            const dataPost = {
                codigo: this.$route.params.codigo
            }
            
            try {

                const response = await axios.post(this.ruta + `/api/verificar-codigo`, dataPost);
            
                if (!response.data['valido']) {
                    this.$utils.showError("Redireccionar");
                    this.$router.push({ name: 'login'});
                } 
                
            } catch (error) {

                const jsonResponse = JSON.parse(error.request.response);
                this.$utils.showSuccess(jsonResponse['mensaje']);
                //alert(jsonResponse['mensaje']);
            }
            
        },

        async guardarNuevaContrasena() {

            try { 

                const dataPost = {
                    email: this.email,
                    password: this.password
                }

                const response = await axios.post(
                    this.ruta + '/api/guardar-nueva-contrasena',
                    dataPost
                );
                this.$utils.showSuccess(response.data['mensaje']);
                this.$router.push({name:'login'})

            } catch (error) {

                const jsonResponse = JSON.parse(error.request.response);
                this.$utils.showSuccess(jsonResponse['mensaje']);
                this.$router.push({name:'login'})
            }
        }
    }
}
</script>